package gihyo.test;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class PrefSample2Activity extends Activity 
                                implements OnClickListener {
	private String prefname = "Gihyo_Pref";
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Button button = (Button)findViewById(R.id.button1);
        button.setOnClickListener(this);
        // SharedPreferencesIuWFNg̎擾
        SharedPreferences sp = getSharedPreferences(prefname, MODE_PRIVATE);
        // SharedPreferences.EditorIuWFNg̎擾
        SharedPreferences.Editor editor = sp.edit();
        editor.putString("GIHYO_String", "eXgp"); // ̕ۑ
        editor.putInt("GIHYO_Int", 9988);                // l̕ۑ
        editor.putBoolean("GIHYO_Boolean", false);       // _l̕ۑ
        editor.putFloat("GIHYO_Float", 1425.235F);       // floatl̕ۑ
        editor.putLong("GIHYO_Long", 123456789L);        // longl̕ۑ
        editor.commit();                                 // ύX̊m
    }

	@Override
	public void onClick(View v) {
		// TODO ꂽ\bhEX^u
		// SharedPreferencesIuWFNg̎擾
		SharedPreferences sp = getSharedPreferences(prefname, MODE_PRIVATE);
        // ۑl擾ăOɏo
        Log.v("PrefSample2Activity", 
              "GIHYO_String->" + sp.getString("GIHYO_String", "NO_DATA"));
        Log.v("PrefSample2Activity", 
                "GIHYO_Int->" + sp.getInt("GIHYO_Int", 0));
        Log.v("PrefSample2Activity", 
                "GIHYO_Boolean->" + sp.getBoolean("GIHYO_Boolean", false));
        Log.v("PrefSample2Activity", 
                "GIHYO_Float->" + sp.getFloat("GIHYO_Float", 0.0F));
        Log.v("PrefSample2Activity", 
                "GIHYO_Long->" + sp.getLong("GIHYO_Long", 0L));
		
	}
}