package gihyo.test;

import android.app.Activity;
import android.content.ContentResolver;
import android.database.Cursor;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.util.Log;
import android.widget.TextView;

public class ContactSampleActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        String s = getContactName();
        TextView textView = (TextView) findViewById(R.id.textview);
        textView.setText(s);
    }
    private String getContactName() {
        String s = " \n";
        ContentResolver resolver = getContentResolver();
        Cursor cursor = resolver.query(ContactsContract.Contacts.CONTENT_URI, null, null, null, null);

		int indexName = cursor.getColumnIndex(ContactsContract.Contacts.DISPLAY_NAME);
        if (cursor.moveToFirst()) {
        	while(true) {
        		s += "OF" + cursor.getString(indexName) + "\n" ;
        		if (!cursor.moveToNext()) 
        			break;
        	}
        }
        return s;
    }
}